Loading...
Searching...
No Matches
BALL::VIEW::PythonValidator Class Reference
Visualisation » Modular Widgets

`#include <BALL/VIEW/WIDGETS/pyWidget.h>`

Inheritance diagram for BALL::VIEW::PythonValidator:

## Public Member Functions

| PythonValidator (QObject *parent=0)
virtual | ~PythonValidator ()
virtual State | validate (QString &input, int &pos) const

## Detailed Description

Class for validating (and potentially fixing) entered python code.

Definition at line 76 of file pyWidget.h.

## Constructor & Destructor Documentation

## PythonValidator()

BALL::VIEW::PythonValidator::PythonValidator | ( | QObject * | parent = 0 | ) |

## ~PythonValidator()

virtual BALL::VIEW::PythonValidator::~PythonValidator | ( |  | ) |

virtual

## Member Function Documentation

## validate()

virtual State BALL::VIEW::PythonValidator::validate | ( | QString & | input,
|  | int & | pos ) const

virtual